Problema con el Gestor de Actualizaciones (solucionado)

Imagen de le.pagu
0 puntos

Hola a todos,

Tengo un problema con el Gestor de Actualizaciones. Todo empezó con un error al instalar Skype, porque lo he instalado y reinstalado varias veces, utilizando un terminal, y al final, a parte de no tener Skype, ya no puedo actualizar el software. No tengo mucha experiencia con Ubuntu (utilizo la versión 12.04) y agradecería vuestra ayuda.
El mensaje que me sale cuando intento actualizar el software es el siguiente:

W:GPG error: http://repository.spotify.com stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 082CCEDF94558F59, W:Failed to fetch http://archive.canonical.com/dists/precise/Release Unable to find expected entry '-sc)/source/Sources' in Release file (Wrong sources.list entry or malformed file)
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/-sc)/source/Sources 404 Not Found [IP: 91.189.92.191 80]
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/partner/source/Sources 404 Not Found [IP: 91.189.92.191 80]
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/-sc)/binary-amd64/Packages 404 Not Found [IP: 91.189.92.191 80]
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/partner/binary-amd64/Packages 404 Not Found [IP: 91.189.92.191 80]
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/-sc)/binary-i386/Packages 404 Not Found [IP: 91.189.92.191 80]
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/partner/binary-i386/Packages 404 Not Found [IP: 91.189.92.191 80]
, E:Some index files failed to download. They have been ignored, or old ones used instead.

Saludos y gracias por la ayuda.

Imagen de furtaxi
+1
0
-1

http://ubuntuforums.org/showthread.php?t=2010719

Cuando tengas un error... ponlo tal cual en google.

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de le.pagu
+1
0
-1

Hola,

Hice lo que se indica en e link que me enviaste, que es poner lo siguientes en un terminal:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 94558F59

Pero cuando intento actualizar el software, persiste el siguientes mensaje:

"fallo al descargar la información del repositorio",

y luego, en detalles:

W:Failed to fetch http://archive.canonical.com/dists/precise/Release Unable to find expected entry '-sc)/source/Sources' in Release file (Wrong sources.list entry or malformed file)
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/-sc)/source/Sources 404 Not Found
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/partner/source/Sources 404 Not Found
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/-sc)/binary-amd64/Packages 404 Not Found
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/partner/binary-amd64/Packages 404 Not Found
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/-sc)/binary-i386/Packages 404 Not Found
, W:Failed to fetch http://archive.canonical.com/dists/(lsb_release/partner/binary-i386/Packages 404 Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

Espero que puedas ayudarme,

muchas gracias y un saludo.

+1
0
-1
Imagen de furtaxi
+1
0
-1

Casi te diría que generaras uno nuevo, y los substituyeras.
http://repogen.simplylinux.ch/

Selecciona sólo lo que necesites, no lo sobrecargues.

Luego abres con permisos de administrador el archivo:
sudo gedit /etc/apt/sources.list

Borra todo su contenido, y pega el que te haya generado el enlace anterior.

Atento a las instrucciones, algunos repositorios necesitan una clave, tienes los comandos a emplear para cada una.

Reinicia, y debería solucionarte todos los problemas.

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de le.pagu
+1
0
-1

Hola,

Hice la sustitución del source.list.
También utilicé los comandos de los repositorios en un terminal,

y cuando intento actualizar, me sale esto:

W:GPG error: http://ppa.launchpad.net precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY B302120208A255AF, W:Failed to fetch http://dl.google.com/linux/deb/dists/stable/Release Unable to find expected entry 'non-free/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file)
, W:Failed to fetch http://dl.google.com/linux/deb/dists/testing/non-free/binary-amd64/Packages 404 Not Found
, W:Failed to fetch http://dl.google.com/linux/deb/dists/testing/non-free/binary-i386/Packages 404 Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

No sé si no lo he hecho bien o que puede haber pasado.

Gracias por la ayuda.

+1
0
-1
Imagen de furtaxi
+1
0
-1

Mira en el sources.list, y en las mismas secciones que te fallan, te pone como importar la clave GPG.

O tirar de google...
https://www.google.es/search?client=ubuntu&channel=fs&q=NO_PUBKEY+B30212...

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de le.pagu
+1
0
-1

Hola,

Sigo intentando, pero quizás por mi poca habilidad con Ubuntu, todavía no logro arreglar el problema.
Lo que estoy haciendo es ir en el source.list y poner comandos en una terminal, por ej:

wget -q https://dl-ssl.google.com/linux/linux_signing_key.pub -O- | sudo apt-key add -

pero no esta funcionando, y sigo sin poder actualizar, con este mismo mensaje:
W:Failed to fetch http://dl.google.com/linux/deb/dists/stable/Release Unable to find expected entry 'non-free/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file)
, W:Failed to fetch http://dl.google.com/linux/deb/dists/testing/non-free/binary-amd64/Packages 404 Not Found
, W:Failed to fetch http://dl.google.com/linux/deb/dists/testing/non-free/binary-i386/Packages 404 Not Found
, E:Some index files failed to download. They have been ignored, or old ones used instead.

Podrias especificarme como importar las claves?
gracias de nuevo por la ayuda,

Saludos

+1
0
-1
Imagen de rioport
+1
0
-1

Los repositorios que dan error ya no existen, no sé en dónde los encontraste o por qué los agregaste. Así que elimina los que hacen referencia a google.

+1
0
-1

-- GC --

Imagen de le.pagu
+1
0
-1

Hola,

Pues al final he podido solucionar el problema borrando los repositorios inexistentes a través del Synaptic, en “Configuración”, “Repositorios”, “Otro software”.

Muchas gracias por la ayuda, y saludos.

+1
0
-1